package net.javase.hksup.starter.model;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

/**
 * UserInfoDetail
 *
 * @author Frank
 */
@Getter
@Setter
public class UserInfoDetail implements Serializable {

    /**
     * 删除模式 <br> [all#删除所有,byEmployeeNo#按工号]
     */
    private String mode;

    /**
     * 人员ID列表
     */
    @JSONField(name = "EmployeeNoList")
    private List<EmployeeNo> employeeNoList;

    @Getter
    @Setter
    @AllArgsConstructor
    public static class EmployeeNo {

        /**
         * 工号
         */
        private String employeeNo;
    }

}
